% APRENDIZAJE AUTOMÁTICO (G. Pajares y J. M. de la Cruz, Eds.)
% Editorial: RA-MA
% Capítulo 5: Máquinas de Vectores Soporte
% Autores: Jesús Antonio Vega Sánchez y Sebastián Dormido Canto

function nb = nobias2(ker)
%NOBIAS2 returns true if SVM kernel has no implicit bias
%
%  Usage: nb = nobias2(ker)
%
%  Parameters: ker - kernel type
%              


  if (nargin ~= 1) % check correct number of arguments
     help nobias2
  else
     
    switch lower(ker)
      case {'linear','sigmoid'}
%,'anovaspline1','anovaspline2','anovaspline3'}
        nb = 1;
      otherwise
        nb = 0;
    end

  end
